%define upstream_name    Data-FormValidator
%define upstream_version 4.81

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Validates user input based on input profile
License:    Artistic/GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI) >= 3.480.0
BuildRequires: perl(Date::Calc) >= 5.0.0
BuildRequires: perl(Email::Valid)
BuildRequires: perl(File::MMagic) >= 1.170.0
BuildRequires: perl(Image::Size)
BuildRequires: perl(MIME::Types) >= 1.5.0
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Perl6::Junction) >= 1.100.0
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildArch:  noarch

%{?perl_default_filter}

%description
Data::FormValidator's main aim is to make input validation expressible in a
simple format. Data::FormValidator lets you define profiles which declare the
required and optional fields and any constraints they might have.

The results are provided as an object which makes it easy to handle missing and
invalid results, return error messages about which constraints failed, or
process the resulting valid data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%buildroot

%files
%doc Changes META.json META.yml MYMETA.yml
%{perl_vendorlib}/Data
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 4.810.0-9.mga8
+ Revision: 1493650
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 4.810.0-8.mga7
+ Revision: 1266843
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 4.810.0-7.mga6
+ Revision: 1024805
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 4.810.0-6.mga6
+ Revision: 937970
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.810.0-5.mga5
+ Revision: 740770
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 4.810.0-4.mga5
+ Revision: 735462
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 4.810.0-3.mga5
+ Revision: 684202
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.810.0-2.mga4
+ Revision: 530282
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 sander85 <sander85> 4.810.0-1.mga4
+ Revision: 457008
- update to 4.81

* Sun Jan 13 2013 umeabot <umeabot> 4.800.0-2.mga3
+ Revision: 365335
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 4.800.0-1.mga3
+ Revision: 314997
- update to 4.80

* Wed Oct 03 2012 jquelin <jquelin> 4.710.0-1.mga3
+ Revision: 302406
- update to 4.71

* Mon Nov 14 2011 jquelin <jquelin> 4.700.0-1.mga2
+ Revision: 167632
- update to 4.70

* Mon Jan 24 2011 jquelin <jquelin> 4.660.0-1.mga1
+ Revision: 37037
- mageia rebuild
- imported package perl-Data-FormValidator


* Thu Feb 25 2010 Jérôme Quelin <jquelin@mandriva.org> 4.660.0-1mdv2010.1
+ Revision: 510969
- update to 4.66

* Thu Dec 31 2009 Jérôme Quelin <jquelin@mandriva.org> 4.650.0-1mdv2010.1
+ Revision: 484372
- update to 4.65

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 4.630.0-1mdv2010.0
+ Revision: 406970
- rebuild using %%perl_convert_version

* Sun Jan 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 4.63-1mdv2009.1
+ Revision: 324492
- update to new version 4.63

* Tue Jun 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 4.61-1mdv2009.0
+ Revision: 223407
- update to new version 4.61

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Nov 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.57-1mdv2008.1
+ Revision: 106645
- update to new version 4.57
- update to new version 4.57

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 4.56-1mdv2008.1
+ Revision: 104519
- update to new version 4.56

* Mon Aug 06 2007 Olivier Thauvin <nanardon@mandriva.org> 4.51-1mdv2008.0
+ Revision: 59255
- 4.51


* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 4.50-1mdv2007.0
+ Revision: 93913
- 4.50
- buidrequires
- bump release to please upload system
- fix buildrequires
- 4.40
- Import perl-Data-FormValidator

* Thu Aug 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.30-1mdv2007.0
- New version 4.30

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 4.20-1mdv2007.0
- new version
- spec cleanup
- rpmbuildupdate aware

* Sat Mar 25 2006 Nicolas Lécureuil <neoclust@mandriva.org> 4.14-2mdk
- Add BuildRequires

* Fri Mar 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 4.14-1mdk
- First Mandriva release

